Skip to main content
POST
Search companies
2 Credits

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <API_KEY>. Keys have full access unless restricted to scopes.

Body

application/json
query
string
required

Describe the companies to find.

Required string length: 1 - 500
Example:

"Solar startups in California that raised a Series B"

filters
object

Additional constraints every result must match.

limit
integer
default:25

Maximum number of results to return (1-100).

Required range: 1 <= x <= 100
cursor
string

Use next_cursor to fetch the next page.

Maximum string length: 64
tags
string[]

Labels for filtering usage in the dashboard.

Maximum array length: 20
Required string length: 1 - 50
Example:

Response

Successful response

results
object[]
required

Matching companies, most relevant first by default.

request_id
string<uuid>
required

Unique ID of this request, also in X-Request-Id. Include it when contacting support.

Example:

"3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91"

next_cursor
string | null

Pass as cursor to fetch the next page; null when there are no more results.

key_metadata
object

Credits this request used and your remaining balance.